Subject: Ticket Assigned - الطلب #6443412376
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 22 Sep 2020 08:07:14 +0000

Hi Abdulqader Mohd. Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  الطلب #6443412376 Hi Max
I returned some items for order 6443412376. but i still didn't get my money
back.
I think this is because I left KSA and came back with a new Iqama (ID) and
new bank account.

Please tell me what is required from my side to get my money back.
Looking forward to hearing from you.

Thank you!
Mohamed Abbas

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1507316